From 50df3e2b4ae300d6771fa8860ff1d1e64d2526cc Mon Sep 17 00:00:00 2001
From: Varac <varac@varac.net>
Date: Wed, 18 Dec 2019 10:31:07 +0100
Subject: [PATCH] Exit create_vps.sh on first error

See https://open.greenhost.net/openappstack/openappstack/-/jobs/15079
for an example where the script fails but the CI job still continues
---
 .gitlab/ci_scripts/create_vps.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/.gitlab/ci_scripts/create_vps.sh b/.gitlab/ci_scripts/create_vps.sh
index 654963ada..693afd0db 100644
--- a/.gitlab/ci_scripts/create_vps.sh
+++ b/.gitlab/ci_scripts/create_vps.sh
@@ -1,6 +1,7 @@
 #!/usr/bin/env sh
 # Check if cluster directory was available from cache
-set -v
+
+set -ve
 
 if [ -d clusters/$HOSTNAME/secrets ]
 then
-- 
GitLab